Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kieker.monitoring.writer.tcp
Class TCPWriter

    java.lang.Object
      kieker.monitoring.writer.AbstractMonitoringWriter
          kieker.monitoring.writer.AbstractAsyncWriter
              kieker.monitoring.writer.tcp.TCPWriter

All Implemented Interfaces:
  IMonitoringRecordReceiver, IMonitoringWriter

    public final class TCPWriter

extends AbstractAsyncWriter

Since:
  1.8
Author:
  Jan Waller

Field Summary
`static String` | `CONFIG_BUFFERSIZE`
`static String` | `CONFIG_FLUSH`
`static String` | `CONFIG_HOSTNAME`
`static String` | `CONFIG_PORT1`
`static String` | `CONFIG_PORT2`

Fields inherited from class kieker.monitoring.writer.AbstractAsyncWriter
`CONFIG_BEHAVIOR, CONFIG_PRIORITIZED_QUEUESIZE, CONFIG_QUEUESIZE, CONFIG_SHUTDOWNDELAY`

Constructor Summary
`TCPWriter(Configuration configuration)`

Method Summary

Methods inherited from class kieker.monitoring.writer.AbstractAsyncWriter
`newMonitoringRecord, newMonitoringRecordNonBlocking, terminate, toString`

Methods inherited from class kieker.monitoring.writer.AbstractMonitoringWriter
`setController`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### CONFIG_HOSTNAME

    public static final String CONFIG_HOSTNAME

### CONFIG_PORT1

    public static final String CONFIG_PORT1

### CONFIG_PORT2

    public static final String CONFIG_PORT2

### CONFIG_BUFFERSIZE

    public static final String CONFIG_BUFFERSIZE

### CONFIG_FLUSH

    public static final String CONFIG_FLUSH

Constructor Detail

### TCPWriter

    public TCPWriter(Configuration configuration)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2014 Kieker Project, http://kieker-monitoring.net